aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/update-keys.sh14
1 files changed, 11 insertions, 3 deletions
diff --git a/bin/update-keys.sh b/bin/update-keys.sh
index fe419a8..b753591 100755
--- a/bin/update-keys.sh
+++ b/bin/update-keys.sh
@@ -1,7 +1,15 @@
#!/bin/bash
echo -n 'Updating keyrings...'
-cd _data &&
-wget -T 60 -q -N https://qa-reports.gentoo.org/output/active-devs.gpg &&
-wget -T 60 -q -N https://qa-reports.gentoo.org/output/service-keys.gpg
+if ! cd _data ; then
+ echo "fail."
+ exit 1
+fi
+URLS=(
+ https://qa-reports.gentoo.org/output/service-keys.gpg
+ https://qa-reports.gentoo.org/output/active-devs.gpg
+ https://qa-reports.gentoo.org/output/all-devs.gpg
+)
+# this will do URL pipeline where possible
+wget -T 60 -q -N "${URLS[@]}"
echo done.